﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IMakoAssembly.cs" company="Global Graphics Software Ltd">
//   Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
// </copyright>
// <summary>
//   
// </summary>
// --------------------------------------------------------------------------------------------------------------------

using System;

namespace Mako.Wrapper
{
    public interface IMakoAssembly : IDisposable
    {
        IMakoDocument GetDocument(int documentIndex = 0);
        void Save(string path, string[] outputParams);
        void SaveAsPdf(string path, bool incremental);
    }
}