// -----------------------------------------------------------------------
//  <copyright file="APIHelper.cpp" company="Global Graphics Software Ltd">
//      Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------


#include "APIHelper.h"
#include <jawsmako/types.h>
#include <wchar.h>


using namespace JawsMako;

APIHelper::APIHelper()
{
}

wchar_t* APIHelper::createMarshalableStringFromString(const String& makoString)
{
    wchar_t* s = static_cast<wchar_t*>(/*::CoTaskMemAlloc*/malloc((makoString.length() + 1) * sizeof(wchar_t)));
    wcscpy(s, /*makoString.length() + 1,*/ &makoString[0]);
    return s;
}

APIHelper::~APIHelper()
{
}
