// -----------------------------------------------------------------------
//  <copyright file="PageRenderer.h" company="Global Graphics Software Ltd">
//      Copyright (c) 2018 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

#pragma once
#include "IPageRenderer.h"

class PageRenderer : public IPageRenderer
{
public:
    PageRenderer(JawsMako::IJawsMakoPtr mako, JawsMako::IPagePtr page);

    EDL::IDOMImagePtr Render();

protected:
    JawsMako::IJawsMakoPtr m_mako;
    JawsMako::IPagePtr m_page;
};