﻿// -----------------------------------------------------------------------
//  <copyright file="PageRotationTransformer.h" company="Global Graphics Software Ltd">
//      Copyright (c) 2018 Global Graphics Software Ltd. All rights reserved.
//  </copyright>
// -----------------------------------------------------------------------

#pragma once
#include "IPageTransformer.h"

class PageRotationTransformer : public IPageTransformer
{
public:

    PageRotationTransformer(JawsMako::IPagePtr page);

    JawsMako::FRect getTransformedPageRect() override;
    JawsMako::FMatrix getPageTransform() override;

protected:
    virtual JawsMako::FRect getPageRect() = 0;
    JawsMako::IPagePtr m_page;
};
