﻿// --------------------------------------------------------------------------------------------------------------------
// <copyright file="IMakoDocument.cs" company="Global Graphics Software Ltd">
//   Copyright (c) 2017 Global Graphics Software Ltd. All rights reserved.
// </copyright>
// --------------------------------------------------------------------------------------------------------------------

using System;

namespace Mako.Wrapper
{
    public interface IMakoDocument : IDisposable
    {
        MakoSize GetPageSize(int pageIndex);

        int GetPageCount();

        void SaveThumbnail(int pageIndex, string filePath);
    }
}